Returns the last error of the broker

- « enchant_broker_get_dict_path

- enchant_broker_init »

- PHP Manual
- Enchant Functions
- Returns the last error of the broker

# enchant_broker_get_error

(PHP 5 >= 5.3.0, PHP 7, PHP 8, PECL enchant >= 0.1.0 )

enchant_broker_get_error — Returns the last error of the broker

### Description

enchant_broker_get_error(EnchantBroker `$broker`): string|false

Returns the last error which occurred in this broker.

### Parameters

`broker`

  An Enchant broker returned by enchant_broker_init().

### Return Values

Return the msg string if an error was found or `false`

### Changelog

Version | Description
--- | ---
8.0.0 | `broker` expects an EnchantBroker instance now; previoulsy, a resource was expected.